
.sb-search {
  position: absolute;
  width: 0%;
  min-width: 70px;
  height: 70px;
  float: right;
  overflow: hidden;
  -webkit-transition: width 0.3s;
  -moz-transition: width 0.3s;
  transition: width 0.3s;
  -webkit-backface-visibility: hidden;
  border-radius: 0.5rem;
  right:0;

}

.sb-search-input {
  position: absolute;
  top: 0;
  right: 0px;
  border: none;
  outline: none;
  background: #748985;
  width: 100%;
  height: 70px;
  margin: 0;
  z-index: 10;
  padding: 20px 65px 20px 20px;
  font-family: inherit;
  font-size: 20px;
  color: #fff;
  cursor: pointer;
}

input[type="search"].sb-search-input {
  -webkit-appearance: none;
  -webkit-border-radius: 0px;
}
.sb-search-input::-webkit-input-placeholder {
  color: #fff;
}

.sb-search-input:-moz-placeholder {
  color: #fff;
}

.sb-search-input::-moz-placeholder {
  color: #fff;
}

.sb-search-input:-ms-input-placeholder {
  color: #fff;
}

.sb-icon-search,
.sb-search-submit  {
  width: 70px;
  height: 70px;
  display: block;
  position: absolute;
  right: 0;
  top: 0;
  padding: 0;
  margin: 0;
  line-height: 70px;
  text-align: center;
  cursor: pointer;
}

.sb-search-submit {
  background: #fff; /* IE needs this */
  -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)"; /* IE 8 */
  filter: alpha(opacity=0); /* IE 5-7 */
  opacity: 0;
  color: transparent;
  color:red;
  border: none;
  outline: none;
  z-index: -1;
}

.sb-icon-search {
  color: #fff;
  background: #e67e22;
  z-index: 90;
  font-size: 22px;
  font-family: 'icomoon';
  speak: none;
  font-style: normal;
  font-weight: normal;
  font-variant: normal;
  text-transform: none;
  -webkit-font-smoothing: antialiased;
}

.sb-icon-search:before {
  content: "";
}

.sb-search.sb-search-open,
.no-js .sb-search {
  width: 100%;
}

.sb-search.sb-search-open .sb-icon-search,
.no-js .sb-search .sb-icon-search {
  background: #da6d0d;
  color: #fff;
  z-index: 11;
}

.sb-search.sb-search-open .sb-search-submit,
.no-js .sb-search .sb-search-submit {
  /*    z-index: 90;*/
}
